;Example 1
; Three simple user defined functions for Quiklisp
;  Just select the code and press F5 to load them in

(defun append (a b)
  (if (null a)
      b
      (cons (car a) 
            (append (cdr a) b) )))

; Insertion sort
(defun sort (l)
  (if (null l)
      nil
      (insert (car l) (sort (cdr l))) ))

;Insertion routine
(defun insert (x l)
  (if (null l)
      (list x)
      (if (< x (car l))
          (cons x l)
          (cons (car l)(insert x (cdr l))) )))

(sort '(10 34 5.3 23.65))