;A labelled binary tree implementation


;Create an instance of a labeled binary tree
(defun makeTree  (label left right)
	(list 'LBtree label left right))

;Determine if an object is a labeled binary tree
(defun isTree(x)
	(and (not (atom x)) (= (car  x) 'LBtree)))

;Return the label of a labeled binary tree
(defun TreeLabel (tree) (nth 1 tree))

;Return the left branch of the tree
(defun Treeleft (tree) (nth 2 tree))

;Return the right branch of the tree
(defun TreeRight (tree) (nth 3 tree))

;Set label of tree
(defun SetTreeLabel (tree value)
	(setf (nth 1 tree) value))

(defun TreeSub (tree old new)
	(if (istree tree)
	(progn (if (= old (treelabel tree))
		(settreelabel tree new))
		(TreeSub (TREEleft tree) old new)
		(TreeSub (TreeRight tree) old new))))

(setq tree (maketree 1 (maketree 2 nil nil) (maketree 3 nil nil)))
(treesub tree 3 22)
tree	